import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ProfileListMapComponent } from './profile-list-map.component';
import { PROFILE_REPOSITORY_TOKEN } from '@app/infrastructure/profiles/profile-repository.token';
import { mockProfileRepo } from '@app/testing/profile.mock';
import { ToastrService } from 'ngx-toastr';
import { mockToastR } from '@app/testing/toastr.mock';

describe('ProfileListMapComponent', () => {
  let component: ProfileListMapComponent;
  let fixture: ComponentFixture<ProfileListMapComponent>;
  let mockProfileRepository = mockProfileRepo;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [ProfileListMapComponent],
      providers: [
        { provide: PROFILE_REPOSITORY_TOKEN, useValue: mockProfileRepository },
        { provide: ToastrService, useValue: mockToastR },
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(ProfileListMapComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
